Opened 10 months ago

Closed 3 months ago

#14641 closed defect (fixed)

BACKENDS: PS3: ScummVM 2.7.1 crashes the entire OS

Reported by: NiQ1 Owned by:
Priority: high Component: Port: PS3
Version: Keywords: crash
Cc: NiQ1 Game:

Description (last modified by NiQ1)

The PS3 pkg of ScummVM 2.7.1 causes the entire system to crash. When you attempt to start it, after a few seconds of black screen, the console boots into recovery mode and you get a message about the system not being able to start properly, followed by a forced filesystem restore.
This has happened to at least two different users (myself and another user on psx-place). Tested on Evilnat 4.90 CFW and Evilnat 4.90.2 BETA CFW.

Furthermore, this might also leave the system in an unstable state requiring the reinstallation of the firmware. In one test the system would not boot any games (neither homebrew nor retail) until the firmware was reinstalled. In a second test it would boot games but not XMB plugins (e.g., webMAN MOD), again forcing a firmware reinstall.
EDIT: According to LuanTeles (member in psx-place) the webMAN MOD issue on the second test was just Cobra being disabled by recovery mode, which is by design, so please ignore that, my bad. I'm not sure about the first test, however, which resulted in no game booting, including retail games.

Version 2.7.0 works fine so this must have been a recent change.

Due to the nature of the issue affecting the entire system and the possibility of the system being left in a semi-bricked state until a firmware reinstall I would kindly ask you to remove the download of 2.7.1 PS3 package or revert it to 2.7.0 until the issue is resolved.

Thank you.

Change History (6)

comment:1 by NiQ1, 10 months ago

Description: modified (diff)

comment:2 by tag2015, 9 months ago

Summary: ScummVM 2.7.1 PS3 crashes the entire OSBACKENDS: PS3: ScummVM 2.7.1 crashes the entire OS

comment:3 by sev-, 8 months ago

I suppose, it could be related to the fonts.dat size, similar to what we have with PSP, in #14497.

Would be nice to get fixed before 2.8.0 release

comment:4 by tag2015, 3 months ago

Another user reported that version 2.8.0 works on PS3, could you please upgrade and try again?

in reply to:  4 comment:5 by NiQ1, 3 months ago

Replying to tag2015:

Another user reported that version 2.8.0 works on PS3, could you please upgrade and try again?

No issue with 2.8.0, only 2.7.1 has that issue. Guess this should be closed now.

comment:6 by tag2015, 3 months ago

Resolution: fixed
Status: newclosed

Thanks for the quick reply! Closing

Note: See TracTickets for help on using tickets.